Vagrant.configure("2") do |config|	
	config.vm.network "public_network"	
	# GitLab Runner for Gitlab Pipelines
	config.vm.define "glr-dev" do |glr|
		glr.vm.box = "generic/centos8"
		glr.vm.hostname = "glr-dev"
		glr.vm.synced_folder ".", "/vagrant", disabled: false
		glr.vm.provider "hyperv" do | h|
			h.enable_virtualization_extensions = true
			h.linked_clone = true
			h.cpus = 2
			h.memory = 2000
			h.maxmemory = 4000
			h.vmname = "glr-dev"
			h.vm_integration_services = {
				guest_service_interface: true,
				time_synchronization: true
			}
		end
		glr.vm.provision "shell", 
			path: "scripts/setup_gitlab_runner.sh",
			privileged: false, 
			env: {RUNNER_TOKEN: ENV['RUNNER_TOKEN']}
	end
end
